# RStudio Demo Admin Day

A 5 to 10 minute demonstration of rstudio at the UL.

## Concept
- import project from git repo
- run a script without parallelisation
- demonstrate editor features (autocompletion, syntax highlighting, syntax check)
- run a script with parallelisation
- show a result (graph) in zoom mode

## URLs
- https://www.urz.uni-leipzig.de/de/fue/sc
- https://register.sc.uni-leipzig.de/login/
- https://rstudio01.sc.uni-leipzig.de/
- https://rstudio02.sc.uni-leipzig.de/
- https://git.rz.uni-leipzig.de/users/sign_in

## to test and caveats
- why VPN?
- do we need to demonstrate registration?
- go through complete process before hand
- use browser without special keybindings/addons
- ssh session
- color scheme editor and console for presentation

## Run down
### git import
- File -> New Project -> Version Control -> Git
    - https://git.idiv.de/dsarpe/rstudio-talk_admin-day.git
    - dialogue: username
    - dialogue: password

### Files Pane
  - automatisch .gitignore, Rproj
  - open plot.r

### Editor and plotting
- syntax highlighting
- Run or Source (with Echo to display plots, outcomes …)
- change code to demonstrate code suggestions, facet_wrap
- Zoom plot

### parallel
- parallel_example.r
- open htop
- run single core with %do%
- run multicore with %dopar%

### git changes
- git pane
- diff
- stage
- commit
- push
